%global git_tag_rev 94c0b84888841d160419f915c2745d9d08fbf0c3

Name:		php-mediawiki-at-ease
Version:	2.1.0
Release:	%mkrel 1
Summary:	Safe replacement to @ for suppressing warnings

Group:          Development/PHP

License:	GPLv2+
URL:		http://www.mediawiki.org/wiki/at-ease
Source0:	https://github.com/wikimedia/at-ease/archive/refs/tags/v%{version}.tar.gz

BuildArch:	noarch

#BuildRequires:	php-pear-PHPUnit

Provides:	php-composer(mediawiki/at-ease) = %{version}


%description
at-ease is a PHP library that provides a safe alternative to PHP's @ error 
control operator. See Manual:Coding conventions/PHP#Error handling on why 
we don't use @. The code was originally introduced to MediaWiki in r4261, 
and then split out into a separate library during the MediaWiki 1.26 
development cycle.


%prep
%setup -qc %{name}-%{version}


%build


%install
mkdir -pm 0755 %{buildroot}%{_datadir}/php/MediaWiki/at-ease
cd at-ease-%{version}
cp -rp src/* %{buildroot}%{_datadir}/php/MediaWiki/at-ease


%check
#phpunit -v --bootstrap %{buildroot}%{_datadir}/php/MediaWiki/at-ease/Functions.php


%files
%{_datadir}/php/MediaWiki




%changelog
* Tue Apr 19 2022 mokraemer <mokraemer> 2.1.0-1.mga9
+ Revision: 1851884
- new version 2.1.0

* Wed Mar 23 2022 umeabot <umeabot> 1.1.0-7.mga9
+ Revision: 1821834
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1.0-6.mga8
+ Revision: 1519192
- Mageia 8 Mass Rebuild

* Fri Oct 05 2018 umeabot <umeabot> 1.1.0-5.mga7
+ Revision: 1318033
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Wed Apr 19 2017 neoclust <neoclust> 1.1.0-3.mga6
+ Revision: 1096823
- imported package php-mediawiki-at-ease

